Bug 969015 - Use /usr/bin/ssh as the default remote shell from tar
Use /usr/bin/ssh as the default remote shell from tar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 09:23 EDT by Pavel Raiskup
Modified: 2013-06-07 23:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: tar-1.26-24.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 23:44:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2013-05-30 09:23:37 EDT
Tar currently searches for /usr/bin/rsh for remote backups by default.  This
may be changed by --rsh-command=/usr/bin/ssh option but it is less practical
these days.

It would be nice to replace that default with /usr/bin/ssh which is (1) easy to
configure and (2) sshd runs on most servers (unlike rsh server), obviously for
security reasons.
Comment 1 Pavel Raiskup 2013-05-31 11:05:42 EDT
Committed to F19 & F20 (rawhide).
Comment 2 Fedora Update System 2013-06-03 04:33:55 EDT
tar-1.26-23.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tar-1.26-23.fc19
Comment 3 Fedora Update System 2013-06-03 10:43:38 EDT
Package tar-1.26-23.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tar-1.26-23.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9927/tar-1.26-23.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-04 22:32:31 EDT
Package tar-1.26-24.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tar-1.26-24.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9927/tar-1.26-24.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-07 23:44:17 EDT
tar-1.26-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.